Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8382 - modprobe sb fails with modutils-2.3.9-1
Summary: modprobe sb fails with modutils-2.3.9-1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: modutils
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL: http://www.redhat.com/support/docs/go...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-11 20:36 UTC by Jan Carlson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 20:07:17 UTC


Attachments (Terms of Use)

Description Jan Carlson 2000-01-11 20:36:33 UTC
The given RH6.1 Gotchas URL tells us to install the latest
modutils from rawhide, to fix RH6.1 printer detection.

PROBLEM: modutils-2.3.9-1 can't load sound
modules (at least for an ISA PnP Soundblaster 16).  It also prevents
sndconfig from succeeding. modutils-2.1.121-17 did NOT
have these problems.

Running RH6.1 w. all update rpms and RH6.1Gotchas rpms installed.

# modprobe sb
Using /lib/modules/2.2.12-20/misc/sound.o
insmod: a module named sound already exists
insmod: insmod /lib/modules/2.2.12-20/misc/sound.o failed
insmod: insmod sb failed

Related /etc/conf.modules lines:
alias sound sb
pre-install sound /sbin/insmod sound dmabuf=1
alias midi opl3
options opl3 io=0x388
options sb io=0x240 irq=7 dma=0 dma16=6 mpu_io=0x300

Comment 1 Bill Nottingham 2000-02-05 20:07:59 UTC
Fixed in latest rawhide modutils (2.3.9-3+)


Note You need to log in before you can comment on or make changes to this bug.